---
updatedAt: 2025-05-21T20:32:41.000Z
agentTools:
  projectIndex: https://developers.universe.com/llms.txt
---

# Basic Usage

> 📘 Beta
>
> As we harden our types, expect minimal but possibly breaking changes.

> 📘 The Easy Way!
>
> The simplest way to get started is to use the interactive [GraphQL Explorer](https://universe.com/graphiql). This is a live, working playground where you can construct and execute queries. If you're signed into Universe, your user account will automatically be authenticated.

## Endpoint

The current GraphQL API endpoint is `https://universe.com/graphql`. All requests must be HTTP `POST` requests with `application/json` encoded bodies.

## Authentication

GraphQL requests **can** be authorization using an API Access Token with the GraphQL scope enabled. Pass the token in your GraphQL request using the `Authorization` HTTP header with a value `Bearer <token>`.

## cURL Example With Authorization

```curl
curl https://www.universe.com/graphql \
  -H "Authorization: Bearer $token" \
  -H "Content-Type: application/json" \
  -d '{ "query": "{ host(id: \"4f5e06cb2078f9730c000014\") { name } }"}'
```

response:

```json
{
  "data": {
    "host": {
      "name": "Joshua Kelly"
    }
  }
}
```